## GtexBuildJob

GtexBuildJob — Build job

## Functions

GtexBuildJob * | gtex_build_job_new ()
GtexBuildJob * | gtex_build_job_clone ()
gchar * | gtex_build_job_to_xml ()
void | gtex_build_job_run_async ()
gboolean | gtex_build_job_run_finish ()

## Properties

char * | command | Read / Write / Construct
GtexPostProcessorType | post-processor-type | Read / Write / Construct

## Types and Values

struct | GtexBuildJob

## Object Hierarchy

        GObject
        ╰── GtexBuildJob

## Includes

    #include <gtex.h>

## Description

A build job. It contains a command (as a string) and a post-processor type.

## Functions

### gtex_build_job_new ()

    GtexBuildJob *
    gtex_build_job_new (void);

#### Returns

a new GtexBuildJob object.

### gtex_build_job_clone ()

    GtexBuildJob *
    gtex_build_job_clone (GtexBuildJob *build_job);

Clones a build job (deep copy).

#### Parameters

build_job | the build job to clone. |

#### Returns

the cloned build job.

[transfer full]

### gtex_build_job_to_xml ()

    gchar *
    gtex_build_job_to_xml (GtexBuildJob *build_job);

#### Parameters

build_job | a GtexBuildJob object. |

#### Returns

the XML contents of the `build_job` . Free with `g_free()`.

### gtex_build_job_run_async ()

    void
    gtex_build_job_run_async (GtexBuildJob *build_job,
                              GFile *file,
                              GtexBuildView *build_view,
                              GCancellable *cancellable,
                              GAsyncReadyCallback callback,
                              gpointer user_data);

Runs asynchronously the build job on a file with the messages displayed in a build view. When the operation is finished, `callback` will be called. You can then call `gtex_build_job_run_finish()`.

#### Parameters

build_job | a build job. |
file | a file. |
build_view | a build view. |
cancellable | a GCancellable object. |
callback | the callback to call when the operation is finished. |
user_data | the data to pass to the callback function. |

### gtex_build_job_run_finish ()

    gboolean
    gtex_build_job_run_finish (GtexBuildJob *build_job,
                               GAsyncResult *result);

Finishes the operation started with `gtex_build_job_run_async()`.

Before calling this function, you should keep a reference to `result` as long as the build messages are displayed in the build view.

#### Parameters

build_job | a build job. |
result | a GAsyncResult. |

#### Returns

`TRUE` if the build job has run successfully.

## Types and Values

### struct GtexBuildJob

    struct GtexBuildJob;

## Property Details

### The `“command”` property

      “command”                  char *

Owner: GtexBuildJob

Flags: Read / Write / Construct

Default value: NULL

### The `“post-processor-type”` property

      “post-processor-type”      GtexPostProcessorType

Owner: GtexBuildJob

Flags: Read / Write / Construct

Default value: GTEX_POST_PROCESSOR_TYPE_ALL_OUTPUT